Subject: Re: [PATCH] mm: fix ENTRIES_PER_PAGEPAGE overflow with 256KB pages

From: "prodyut hazarika" <[email-masked]>
Date: Thu, 11 Sep 2008 22:29:26 -0700

> On Thu, Sep 11, 2008 at 01:53:07AM +0400, Ilya Yanok wrote:
>> ENTRIES_PER_PAGEPAGE define in mm/shmem.c becomes zero if page size is
>> 256KB. This patch fixes this.
>
> This looks.. dubious.  You're making a change to generic code for a
> powerpc feature.  Plus it's not entirely clear that simply increasing
> the variable size is a good fix here.  Again, I think since this is a
> 256k page special case it will simplify things to get the <=64k stuff
> first, then handle this in another patch.

16KB/64KB patch would not really need any hacks like the 256KB. The
changes for 16/64KB can be totally hidden under 4xx specific files. So
I too think that this patch should be split into 2 patches.